/*******************************************************************************
 * DOFAndBloomEffect generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class DOFAndBloomEffect extends DOFEffect
    native
    hidecategories(Object);

enum EDOFType
{
    DOFType_SimpleDOF,
    DOFType_ReferenceDOF,
    DOFType_BokehDOF,
    DOFType_BokehDOFAMD,
    DOFType_MAX
};

enum EDOFQuality
{
    DOFQuality_Low,
    DOFQuality_Medium,
    DOFQuality_High,
    DOFQuality_MAX
};

var(Bloom) float BloomScale;
var(Bloom) float BloomThreshold;
var(Bloom) Color BloomTint;
var(Bloom) float BloomScreenBlendThreshold;
var deprecated float SceneMultiplier;
var(Bloom) float BlurBloomKernelSize;
var deprecated bool bEnableReferenceDOF;
var(DepthOfField) DOFAndBloomEffect.EDOFType DepthOfFieldType;
var(DepthOfField) DOFAndBloomEffect.EDOFQuality DepthOfFieldQuality;
var(DepthOfField) Texture2D BokehTexture;

defaultproperties
{
    BloomScale=1.0
    BloomThreshold=1.0
    BloomTint=(R=255,G=255,B=255,A=0)
    BloomScreenBlendThreshold=10.0
    BlurBloomKernelSize=16.0
    BlurKernelSize=16.0
}